Subject: Re: bug#2738: Content-free doc string: `handle-shift-selection'.

From: Stefan Monnier <[email-masked]>
Date: Sun, 22 Mar 2009 22:12:01 -0400

> In fact, how about just saying something like "this function ensures the
> mark is set for a movement command making a CUA region", or something
> like that?

It's probably a good idea to mention that it's used to implement
CUA-style behavior, indeed.

> Does this bit not perhaps need a warning that "^" in an interactive spec
> is really intended for Emacs's internal use and will throw an error on
> anything but Emacs 23 (or later)?

Our documentation is generally specific to the version of Emacs at hand
(plus some implicit "promise" that we'll try to maintain backward
compatibility in future releases), so "^" is not special in this regard.

        Stefan